Table of Contents

Class: XML_writer | ../bkchem/xml_writer.py
--- | ---
This is abstract class that serves as parent for specialized writters - CDML, SVG ... construct_dom_tree method is virtual and should be overriden
Methods |
--- | ---
__init__ construct_dom_tree get_nicely_formated_document write_xml_to_file
| __init__
    __init__ ( self,  paper )
| construct_dom_tree
    construct_dom_tree ( self,  top_levels )
| get_nicely_formated_document
    get_nicely_formated_document ( self )
returns text form of self.document indented with dom_extensions.safe_indent
| write_xml_to_file
    write_xml_to_file ( self,  file )
writes XML representation of entire `paper` to `file`

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1